Skip to main content

Bookings Tags

Overview​

This resource represents the Booking Tags that can be associated with the Bookings.

Parameters​

NameTypeRead/WriteDescription
accountIntegerReadAccount's ID related to the Bookings Tag
idIntegerReadBookings Tag's id.
colorStringReadBookings Tag's color (Hexadecimal representation)
logoStringReadBookings Tag's logo (Currently as font awesome class)
nameObjectReadBookings Tag's name, list of locales described in enums section.
created_atTimeReadBookings Tag's create time.
updated_atTimeReadBookings Tag's update time.

List bookings tags​

List all bookings tags for a given account(s).

GET /bookings_tags
response.json
{
"links": {
"bookings_tags.account": "https://www.bookingsync.com/api/v3/accounts/{bookings_tags.account}"
},
"bookings_tags": [
{
"links": {
"account": 3
},
"id": 3,
"name": {
"en": "Beach"
},
"color": "#6666ff",
"logo": "fa-link",
"created_at": "2017-04-26T08:21:58Z",
"updated_at": "2017-05-02T09:41:51Z"
}
],
"meta": {}
}

Get a single bookings tag​

Returns a single bookings tag identified by ID.

GET /bookings_tags/:bookings_tag_id
response.json
{
"links": {
"bookings_tags.account": "https://www.bookingsync.com/api/v3/accounts/{bookings_tags.account}"
},
"bookings_tags": [
{
"links": {
"account": 3
},
"id": 3,
"name": {
"en": "Beach"
},
"color": "#6666ff",
"logo": "fa-link",
"created_at": "2017-04-26T08:21:58Z",
"updated_at": "2017-05-02T09:41:51Z"
}
],
"meta": {}
}

Create a new bookings tag​

Creates a bookings tag for account.

POST /bookings_tags

Update a bookings tag​

Returns an updated bookings tag identified by ID.

PUT /bookings_tags/:bookings_tag_id

Add a single bookings tag​

Adds a tag to an existing booking.

POST /bookings/:id/add_tag/:bookings_tag_id

Returns empty body with status: 201

Remove a single bookings tag​

Removes a tag from an existing booking.

DELETE /bookings/:id/remove_tag/:bookings_tag_id

Returns empty body with status: 204